Name:           libnfs
Version:        1.11.0
Release:        4
Summary:        A library for accessing NFS shares over a network

License:        LGPLv2+ and BSD
URL:            https://github.com/sahlberg/libnfs
Source0:        https://sites.google.com/site/libnfstarballs/li/libnfs-1.11.0.tar.gz

BuildRequires: gcc pkgconfig

%description
Package contains a library of functions for accessing NFSv2 and NFSv3 servers from user space.
It provides a low-level,asynchronous RPC library for accessing NFS protocols, an asynchronous
library with POSIX-like VFS functions,and a synchronous library with POSIX-like VFS functions.

%package devel
Summary:        Development files for libnfs
License:        LGPLv2+ and BSD and GPLv3+

Requires:       %{name} = %{version}-%{release}

%description devel
The libnfs-devel package contains libraries and header files for developing applications that use libnfs.


%package utils
Summary:        Utilities for accessing NFS servers
License:        GPLv3+

Requires:       %{name} = %{version}-%{release}

%description utils
The libnfs-utils package contains simple client programs for accessing NFS servers using libnfs.

%package help
Summary:        Help package for libnfs

%description help
Help package for libnfs

%prep
%autosetup -n %{name}-%{version} -p1


%build
%configure --disable-static --disable-examples --disable-werror
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
%make_build V=1

%install
%make_install
%delete_la

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%{_libdir}/libnfs.so.*
%doc COPYING LICENCE-*.txt

%files devel
%{_libdir}/libnfs.so
%{_includedir}/nfsc/
%{_libdir}/pkgconfig/libnfs.pc
%doc examples/*.c


%files utils
%{_bindir}/nfs-*

%files help
%{_mandir}/man1/nfs-*.1*
%doc README

%changelog
* Thu Jan 2 2020 chenli<chenli147@huawei.com> - 1.11.0-4
- Modify spec

* Wed Dec 31 2019 chenli<chenli147@huawei.com> - 1.11.0-3
- Package init
